package org.josast.ApplicationSatelliteDatabaseCli.cmd;

import java.util.logging.Logger;

import org.josast.ModuleSatelliteDatabase.MergeAmsatListFile;

public class MergeCmd implements Cmd {
    /**
     * logger.
     */
    private Logger log = Logger.getLogger(getClass().getName());

    /**
     *
     */
    @Override
    public void excute() {
        log.info(MergeCmd.class.getName());
        ParameterSingleton parameter = ParameterSingleton.getInstance();
        MergeAmsatListFile merge = new MergeAmsatListFile();
        merge.merge(parameter.getInputDirectory()
                );
        merge.save(parameter.getOutputFile());

    }

}
